uuid: 8666979e-bc17-49d9-a886-6902b352319e
langcode: en
status: true
dependencies:
  config:
    - media.type.document
    - views.view.media
  module:
    - dropzonejs_eb_widget
    - media
    - views
name: media_browser
label: 'Media browser'
display: modal
display_configuration:
  width: '650'
  height: '500'
  link_text: 'Select entities'
  auto_open: false
selection_display: no_display
selection_display_configuration: {  }
widget_selector: tabs
widget_selector_configuration: {  }
widgets:
  c6b575ee-8ad1-4bf1-b58d-d64b01bd0d66:
    id: dropzonejs_media_entity
    uuid: c6b575ee-8ad1-4bf1-b58d-d64b01bd0d66
    label: Upload
    weight: 1
    settings:
      submit_text: 'Select entities'
      auto_select: false
      upload_location: 'public://[date:custom:Y]-[date:custom:m]'
      dropzone_description: 'Drop files here to upload them'
      max_filesize: 8000M
      extensions: 'jpg jpeg gif png txt doc xls pdf ppt pps odt ods odp'
      clientside_resize: false
      resize_width: null
      resize_height: null
      resize_quality: 1.0
      resize_method: contain
      thumbnail_method: contain
      media_type: document
      inherit_settings: true
  8e2a3c38-1cf3-4f87-b26a-4ae78f88e7c7:
    id: view
    uuid: 8e2a3c38-1cf3-4f87-b26a-4ae78f88e7c7
    label: Library
    weight: 2
    settings:
      submit_text: 'Select entities'
      auto_select: false
      view: media
      view_display: entity_browser_1
